<?php
/**
 * 2007-2014 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * No redistribute in other sites, or copy.
 *
 * @author    RSI
 * @copyright 2007-2014 RSI
 * @license   http://localhost
 */

@ini_set('max_execution_time', 0);

/** correct Mac error on eof */
include(dirname(__FILE__).'/../../config/config.inc.php');
include(dirname(__FILE__).'/../../init.php');

/* Check to security tocken */
if (Tools::substr(Tools::encrypt('dopplermail/cron'), 0, 10) != Tools::getValue('token') || !Module::isInstalled('dopplermail')) {
    die('Bad token');
}

include(dirname(__FILE__).'/dopplermail.php');
$dopplermail = new Dopplermail();
/* Check if the module is enabled */
if ($dopplermail->active) {
    /* Check if the requested shop exists */
    if (_PS_VERSION_ > '1.5.0.0') {
        $shops = Db::getInstance()
                   ->ExecuteS('SELECT id_shop FROM `'._DB_PREFIX_.'shop`');
        $list_id_shop = array();
        foreach ($shops as $shop) {
            $list_id_shop[] = (int)$shop['id_shop'];
        }
        $id_shop = (Tools::getIsset(Tools::getValue('id_shop')) && in_array(Tools::getValue('id_shop'), $list_id_shop)) ? (int)Tools::getValue('id_shop') : (int)Configuration::get('PS_SHOP_DEFAULT');
        $dopplermail->cron = true;
        /* for the main run initiat the sitemap's files name stored in the database */
        if (!Tools::getIsset(Tools::getValue('continue'))) {
            $dopplermail->cron(Tools::getValue('cronid'));
        }
    } else {
        if (!Tools::getIsset(Tools::getValue('continue'))) {
            $dopplermail->cron(Tools::getValue('cronid'));
        }
    }
}
